scanimage(1)

NUME
scanimage - scanează o imagine

SINOPSIS
scanimage [-d dispozitiv] [--format=format-ieșire] [-i profil] [-L] [-f format-dispozitiv] [-b [format]] [--batch-start=start] [--batch-count=număr] [--batch-increment=increment] [--batch-double] [--accept-md5-only] [-p] [-o ruta] [-n] [-T] [-A] [-h] [-v] [-B dimensiune] [-V] [opțiuni-specifice-dispozitivului]

DESCRIERE
scanimage este o interfață de linie de comandă pentru a controla dispozitivele de achiziție de imagini, cum ar fi scanerele plate sau camerele de luat vederi. Dispozitivul este controlat prin intermediul opțiunilor din linia de comandă. După procesarea liniei de comandă, scanimage procedează în mod normal la achiziția unei imagini. Datele imaginii sunt scrise la ieșirea standard într-unul dintre formatele PNM (portable aNyMaP) (PBM pentru imagini alb-negru, PGM pentru imagini în tonuri de gri și PPM pentru imagini color), în format TIFF (alb-negru, în tonuri de gri sau color), în format PNG sau în format JPEG (nivel de compresie 75). scanimage accesează dispozitivele de achiziție a imaginilor prin intermediul interfeței SANE (Scanner Access Now Easy) și, prin urmare, poate fi compatibil cu orice dispozitiv pentru care există un controlor SANE (încercați apropos sane- pentru a obține o listă a controlorilor disponibili).

EXEMPLE
Pentru a obține o listă de dispozitive:

  scanimage -L

Pentru a scana cu parametrii impliciți în fișierul imagine.pnm:

  scanimage >imagine.pnm

Pentru a scana 100x100 mm în fișierul imagine.tiff (este posibil ca opțiunile „-x” și „-y” să nu fie disponibile pe toate dispozitivele):

  scanimage -x 100 -y 100 --format=tiff >imagine.tiff

Pentru a afișa toate opțiunile disponibile:

  scanimage -h

OPȚIUNI
Există două seturi de opțiuni disponibile atunci când se execută scanimage.

Opțiunile care sunt oferite de scanimage însuși sunt enumerate mai jos. În plus, fiecare controlor-sane oferă propriul set de opțiuni, iar acestea pot fi, de asemenea, specificate. Rețineți că opțiunile disponibile de la controlorul-sane pot varia în funcție de dispozitivul de scanare selectat.

Adesea, opțiunile care sunt similare ca funcție pot fi implementate diferit între controlori. Un exemplu al acestei diferențe este --mode Gray și --mode Grayscale. Acest lucru se poate datora unor preferințe diferite ale autorilor controlorilor. Alteori, opțiunile sunt definite de dispozitivul de scanare în sine și, prin urmare, nu sunt controlate de codul controlorului.

Parametrii sunt separați de un spațiu în cazul opțiunilor cu un singur caracter (de exemplu, -d epson) și de un „=” în cazul opțiunilor cu mai multe caractere (de exemplu, --device-name=epson).

-d dispozitiv, --device-name=dispozitiv
    Specifică dispozitivul de accesat și trebuie să fie urmată de un nume de dispozitiv SANE, cum ar fi „epson:/dev/sg0” sau „hp:/dev/usbscanner0”. O listă (parțială) a dispozitivelor disponibile poate fi obținută cu ajutorul opțiunii --list-devices (a se vedea mai jos). Dacă nu se specifică în mod explicit un nume de dispozitiv, scanimage citește un nume de dispozitiv din variabila de mediu SANE_DEFAULT_DEVICE. Dacă această variabilă nu este definită, scanimage va încerca să deschidă primul dispozitiv disponibil.

--format=format-ieșire
    Selectează modul în care datele imaginii sunt scrise la ieșirea standard sau în fișierul specificat prin opțiunea --output-file. format-ieșire poate fi pnm, tiff, png sau jpeg. Dacă nu se specifică --format, se scrie implicit PNM.

-i profil, --icc-profile=profil
    Se utilizează pentru a include un profil ICC într-un fișier TIFF.

-L, --list-devices
    Solicită o listă (parțială) a dispozitivelor care sunt disponibile. Este posibil ca lista să nu fie completă, deoarece unele dispozitive pot fi disponibile, dar nu sunt listate în niciunul dintre fișierele de configurare (care sunt stocate de obicei în directorul /etc/sane.d). Acest lucru se întâmplă în special atunci când se accesează scanerele prin rețea. În cazul în care un dispozitiv nu este listat într-un fișier de configurare, singura modalitate de a-l accesa este prin numele complet al dispozitivului. Este posibil să fie necesar să vă consultați cu administratorul de sistem pentru a afla numele unor astfel de dispozitive.

-f format, --formatted-device-list=format-dispozitiv
    Funcționează în mod similar cu --list-devices, dar necesită un șir de format. scanimage înlocuiește caracterele de poziție %d %v %m %t %i %n cu numele dispozitivului, numele furnizorului, numele modelului, tipul de scaner, un număr de index și, respectiv, o linie nouă. Comanda

    scanimage -f “ scanerul numărul %i dispozitivul %d este un %t, modelul %m, produs de %v ”

    va produce ceva precum:

        scanerul numărul 0 dispozitivul sharp:/dev/sg1 este un scaner plat, model JX250 SCSI, produs de SHARP

Opțiunile --batch* oferă caracteristici pentru scanarea documentelor care utilizează alimentatoare de documente.

    -b [format], --batch=[format]
        Se utilizează pentru a specifica formatul numelui de fișier în care va fi scrisă fiecare pagină. Fiecare pagină este scrisă într-un singur fișier. Dacă format nu este specificat, se va utiliza valoarea implicită out%d.pnm (sau out%d.tif pentru --format tiff, out%d.png pentru --format png sau out%d.jpg pentru --format jpeg). Această opțiune este incompatibilă cu opțiunea --output-path. format este dat ca un șir de caractere în stil printf cu un parametru întreg.

    --batch-start=start
        Selectează numărul de pagină cu care se începe să se numească fișierele. Dacă această opțiune nu este dată, contorul va începe de la 1.

    --batch-count=număr
        Specifică numărul de pagini pe care se încearcă scanarea. Dacă nu este specificat, scanimage va continua scanarea până când scanerul returnează o altă stare decât OK. Nu toate scanerele cu alimentator de documente semnalizează când ADF-ul este gol. Utilizați această opțiune pentru a evita acestea.

    --batch-increment=increment
        Stabilește valoarea cu care este incrementat numărul din numele fișierului. În general, acest lucru se utilizează atunci când scanați documente față-verso pe un alimentator de documente față-verso. --batch-double este o comandă specifică furnizată pentru a facilita acest lucru.

    --batch-double
        Va fixa automat incrementul la 2. Echivalent cu --batch-increment=2.

    --batch-prompt
        Vă va solicita să apăsați «ENTER» înainte de a scana o pagină. Acest lucru poate fi utilizat pentru scanarea mai multor pagini fără un alimentator automat de documente.

--accept-md5-only
    Acceptă numai cererile de autorizare a utilizatorilor care acceptă securitatea MD5. Demonul de rețea SANE saned(8) este capabil să facă astfel de cereri.

-p, --progress
    Solicită ca scanimage să afișeze un contor de progres. Acesta arată cât de multe date de imagine din imaginea curentă au fost deja primite (în procente).

-o ruta, --output-file=ruta
    Solicită ca scanimage să salveze rezultatul scanării în ruta dată. Această opțiune este incompatibilă cu opțiunea --batch. Programul va încerca să ghicească --format din numele fișierului. Dacă acest lucru nu este posibil, va imprima un mesaj de eroare și va ieși.

-n, --dont-scan
    Solicită ca scanimage să aplice doar opțiunile furnizate de utilizator, dar să nu efectueze efectiv o scanare. Această opțiune poate fi utilizată, de exemplu, pentru a opri lampa scanerului (dacă acest lucru este acceptat de controlor).

-T, --test
    Solicită ca scanimage să efectueze câteva teste simple pentru a se asigura că dispozitivul (controlorul acestuia) funcționează așa cum este definit de API-ul SANE. În special funcția sane_read() este verificată prin acest test.

-A, --all-options
    Solicită ca scanimage să listeze toate opțiunile disponibile expuse de controlor, inclusiv opțiunile pentru butoane. Informațiile sunt afișate la ieșirea standard și nu se va efectua nicio scanare.

-h, --help
    Solicită informații de ajutor. Informațiile sunt afișate la ieșirea standard și nu se va efectua nicio scanare.

-v, --verbose
    Mărește cantitatea de informații afișate de scanimage. Opțiunea poate fi specificată în mod repetat, de fiecare dată crescând nivelul de detaliere al mesajelor informative.

-B [dimensiune], --buffer-size=dimensiune
    Modifică dimensiunea memoriei tampon de intrare de la valoarea implicită de 1 Mo la dimensiune Ko.

-V, --version
    Solicită ca scanimage să afișeze numele programului și al pachetului, numărul de versiune al distribuției SANE cu care a fost livrat și versiunea controlorului pe care îl încarcă. În cazul în care sunt necesare mai multe informații despre numerele de versiune ale controlorilor, se poate utiliza variabila DEBUG pentru stratul dll. Exemplu: SANE_DEBUG_DLL=3 scanimage -L.

După cum vă puteți imagina, o mare parte din puterea lui scanimage provine din faptul că poate controla orice controlor SANE. Astfel, setul exact de opțiuni din linia de comandă depinde de capacitățile dispozitivului selectat. Pentru a vedea opțiunile pentru un dispozitiv numit dispozitiv, apelați scanimage prin intermediul unei linii de comandă de forma:

    scanimage --help --device-name dispozitiv

Documentația pentru opțiunile specifice dispozitivului afișate de --help este cel mai bine explicată prin câteva exemple:

-l 0..218mm [0]
    Poziția x din stânga-sus a zonei de scanare.

    Descrierea de mai sus arată că opțiunea -l se așteaptă la o valoare a opțiunii cuprinsă între 0 și 218 mm. Valoarea dintre parantezele drepte indică faptul că valoarea actuală a opțiunii este 0 mm. Cei mai mulți controlori oferă opțiuni geometrice similare pentru poziția y din stânga sus (-t), lățimea (-x) și înălțimea zonei de scanare (-y)..

--brightness -100..100% [0]
    Controlează luminozitatea imaginii achiziționate.

    Descrierea de mai sus arată că opțiunea --brightness se așteaptă la o valoare de opțiune cuprinsă între -100 și 100 la sută. Valoarea între paranteze drepte indică faptul că valoarea actuală a opțiunii este 0 procente.

--default-enhancements
    Stabilește valorile implicite pentru controalele de îmbunătățire.

    Descrierea de mai sus arată că opțiunea --default-enhancements nu are nicio valoare de opțiune. Ar trebui să se considere că are un efect imediat în punctul din linia de comandă în care apare. De exemplu, deoarece această opțiune reinițiază opțiunea --brightness, perechea de opțiuni --brightness 50 --default-enhancements ar fi, de fapt, o opțiune fără efect.

--mode Lineart|Gray|Color [Gray]
    Selectează modul de scanare (de exemplu, liniar sau color).

    Descrierea de mai sus arată că opțiunea --mode acceptă un argument care trebuie să fie unul dintre șirurile Lineart, Gray sau Color. Valoarea din cadrul parantezelor drepte indică faptul că opțiunea este în prezent definită la Gray. Pentru comoditate, este permisă prescurtarea valorilor șirurilor de caractere, atâta timp cât acestea rămân unice. De asemenea, nu contează majusculele ortografice. De exemplu, definirea opțiunii --mode col este identică cu --mode Color.

--custom-gamma[=(yes|no)] [inactive]
    Determină dacă trebuie să se utilizeze un tabel gamma integrat sau unul personalizat.

    Descrierea de mai sus arată că opțiunea --custom-gamma nu așteaptă nici o valoare de opțiune, un șir „yes” sau un șir „no”. Specificarea opțiunii fără valoare este echivalentă cu specificarea lui „yes”. Valoarea dintre parantezele drepte indică faptul că opțiunea nu este activă în prezent. Adică, încercarea de a defini opțiunea ar avea ca rezultat un mesaj de eroare. Setul de opțiuni disponibile depinde, de obicei, de valorile altor opțiuni. De exemplu, tabelul --custom-gamma ar putea fi activ numai atunci când a fost solicitat un mod de scanare în tonuri de gri sau color.

    Rețineți că opțiunea --help este procesată numai după ce au fost procesate toate celelalte opțiuni. Acest lucru face posibilă vizualizarea parametrilor opțiunilor pentru un anumit mod prin specificarea opțiunilor de mod corespunzătoare împreună cu opțiunea --help. De exemplu, linia de comandă:

    scanimage --help --mode color

    Va imprima valorile opțiunilor care sunt în vigoare atunci când este selectat modul de culoare.

--gamma-table 0..255,...
    Tabelul de corecție gamma. În modul color, această opțiune afectează în mod egal canalele roșu, verde și albastru simultan (adică este un tabel gamma de intensitate).

    Descrierea de mai sus arată că opțiunea --gamma-table se așteaptă la zero sau mai multe valori în intervalul 0-255. De exemplu, o valoare legală pentru această opțiune ar fi „3,4,5,6,7,7,8,8,9,10,11,12”. Deoarece este greoaie specificarea vectorilor lungi în această formă, același lucru poate fi exprimat prin forma prescurtată „[0]3-[9]12”. Acest lucru înseamnă că primul element al vectorului este stabilit la 3, al 9-lea element este stabilit la 12, iar valorile intermediare sunt interpolate liniar. Desigur, este posibil să se specifice mai multe astfel de segmente liniare. De exemplu, „[0]3-[2]3-[6]7,[7]10-[9]6” este echivalent cu „3,3,3,3,4,5,6,7,7,10,8,6”. Programul gamma4scanimage poate fi utilizat pentru a genera astfel de tabele gamma (a se vedea gamma4scanimage(1) pentru detalii).

--filename <șir> [/tmp/input.ppm]
    Numele fișierului cu imaginea care urmează să fie încărcată.

    Descrierea de mai sus este un exemplu de opțiune care acceptă o valoare arbitrară de șir de caractere (care se întâmplă să fie un nume de fișier). Din nou, valoarea dintre paranteze arată că opțiunea este definită în mod curent la numele de fișier /tmp/input.ppm.

MEDIU

SANE_DEFAULT_DEVICE
    Afișează numele implicit al dispozitivului.

FIȘIERE

/etc/sane.d
    Acest director conține diverse fișiere de configurare. Pentru detalii, vă rugăm să consultați paginile de manual enumerate mai jos.

~/.sane/pass
    Acest fișier conține linii de forma

    utilizator:parola:resursa

    scanimage utilizează aceste informații pentru a răspunde automat la cererile de autorizare ale utilizatorilor. Fișierul trebuie să aibă permisiuni 0600 sau mai stricte. Ar trebui să utilizați acest fișier împreună cu opțiunea --accept-md5-only pentru a evita atacurile de pe server. Resursa poate conține orice caracter, dar este limitată la 127 de caractere.

CONSULTAȚI ȘI
sane(7), gamma4scanimage(1), xscanimage(1), xcam(1), xsane(1), scanadf(1), sane-dll(5), sane-net(5), sane-"backendname"(5)

AUTOR
David Mosberger, Andreas Beck, Gordon Matzigkeit, Caskey Dickson și mulți alții. Pentru întrebări și comentarii, contactați lista de discuții sane-devel ( a se vedea http://www.sane-project.org/mailing-lists.html).

ERORI
În ceea ce privește opțiunile vectoriale, în momentul de față nu există nicio indicație cu privire la numărul de elemente pe care trebuie să le aibă o valoare vectorială.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.